vlax-put-property


(vlax-put-property vlaObject property value [ options ] )

This function assigns the value to the property of the specified vlaObject.

Arguments

vlaObject  (VLA-Object) any COM object
property  (string | symbol)  the name of the property to be changed
value  (any suitable Lisp or COM value)  the value to be applied for the property
options  (optional) property-specific additional arguments

Return

NIL (mostly, but property-specific)

Example

(setq myLine (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadLine 0000000039E2FF70>
(vlax-put-property myLine 'Layer "0")  NIL

Remarks




©  Bricsys NV. All rights reserved.